post
https://sandbox.saner.secpod.com/AncorWebService/perform
Unassign a NORMAL or ACCOUNTADMIN user from an account.
This method allows you to unassign a ‘NORMAL’ or ‘ACCOUNTADMIN’ user to an account in Saner Server. The user will be unassigned from the respective organization if none of the accounts under that particular organization is assigned to user. Organization admin cannot be unassigned from an account, if tried, error response is returned. It requires user id and account name.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| user | User ID to be unassigned from an account. | Yes | string |
| account | Account name from which the user should be unassigned. | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.unassignUser(
user="[email protected]",
account="DemoAcc"
)
print(response)
client.close()Requires Python 3.9 or later.